techrar docs
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
Home
Solutions
Solutions
  • eCommerce SaaS
  • Meals SaaS
  • Meals Marketplaces
API
API
  • Merchant APIs
  • Customer App APIs
  • Meals APIs
Techrar Connect
  1. SubOrders
  • SaaS Meal Subscription
  • Merchant APIs
    • List Merchant Orders
  • Customer APIs
    • Subscriptions
      • Subscriptions
        • List Subscriptions
        • Subscription Details
        • Change Subscription Location
        • Postpone/Pause/Resume SubOrders
        • Renew Subscription
        • List Subscription Orders
      • SubOrders
        • Customer SubOrders
          GET
        • Change SubOrder Location
          PATCH
        • Bulk Change Suborder Location
          PATCH
        • Change Meals
          POST
        • Change Delivery Window
          PATCH
        • Bulk Change Delivery Window
          PATCH
        • Bulk Change PickUp Branch
          PATCH
        • Frozen/Postponed SubOrders
          GET
        • Pre-Order
          POST
      • Complaints
        • Complain SubOrder
        • List Complaint Reasons
        • Complaint Details
      • invoices
        • List SubOrder Invoices
    • Plans
      • V3
        • Plan Tag
        • List Super Plans
        • Super Plan Details
        • Plan Date Details
        • List Feature Plan Tags
        • List Featured Plans
        • Plan Menu Categories
        • Has Purchased Plan
    • Order
      • Place Order
        • Place Order
        • List orders
        • Order Details
        • Vouchered Cart
        • Discounted Cart
        • Redeemed Cart
        • Add-On Order
        • Redeemed Add-Ons Cart
    • Menus
      • List Menus
      • Menu Details
      • Menu Add-Ons Details
      • Menu Options
    • Restaurant
      • List Restaurant
      • Restaurant Details
      • List Restaurant Branch
      • On-Demand Restaurants
      • Restaurant Menu
      • List Restaurant Categories
      • Product Details
      • Combo Details
      • Wallet Credit Products
      • Allergen Dislikes List
      • Product Variants List
      • Restaurant Variants List
    • Vouchers
      • Featured Vouchers List
    • configs
      • App Config Details
      • Light App Config
      • List Mobile Connectors
    • Prime
      • Corporate Location Details
  1. SubOrders

Change Delivery Window

PATCH
https://api.techrar.com/api/v3/subscriptions/{subscription_id}/sub-orders/{sub_order_id}/change-delivery-window/
This endpoint allows customers to change the suborder delivery window by providing the Subscription ID and the SubOrder ID.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api.techrar.com/api/v3/subscriptions//sub-orders//change-delivery-window/' \
--header 'app-id: 4' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "delivery_window_id": 1
}'
Response Response Example
{
    "id": 34577,
    "custom_fields": null,
    "delivery_window": {
        "id": 74,
        "custom_fields": null,
        "app_id": 90,
        "created_at": "2025-01-28T13:31:38.252459+03:00",
        "modified_at": "2025-01-28T13:31:38.252478+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "type": "subscription",
        "from_time": "12:00:00",
        "to_time": "18:00:00",
        "is_default": false,
        "is_active": true,
        "tag_en": "-",
        "tag_ar": ""
    },
    "selected_plan_categories": [
        {
            "id": 1,
            "app_id": null,
            "created_at": "2023-11-28T09:36:57.682763Z",
            "modified_at": "2025-02-05T06:43:45.238864Z",
            "deleted_at": null,
            "is_deleted": false,
            "ordering": 4,
            "name_en": "Meals",
            "name_ar": "وجبات رئيسية",
            "is_multi_select": false,
            "max_selected_options": 1,
            "category_master_id": null,
            "selected_options": [
                {
                    "id": 68617,
                    "app_id": null,
                    "created_at": "2025-11-19T06:54:09.399880Z",
                    "modified_at": "2025-11-19T06:54:09.399880Z",
                    "deleted_at": null,
                    "is_deleted": false,
                    "ordering": 0,
                    "is_recommended": false,
                    "is_active": true,
                    "is_selected": true,
                    "selected_plan_category": 1,
                    "plan_option_id": 1,
                    "option_is_deleted_or_inactive": true,
                    "is_compensation": false,
                    "is_addon": false,
                    "extra_item_config_id": null,
                    "product": {
                        "id": 313,
                        "app_id": null,
                        "created_at": "2023-01-15T09:58:55.183999Z",
                        "modified_at": "2025-05-07T14:38:29.360222Z",
                        "deleted_at": null,
                        "is_deleted": false,
                        "ordering": 7,
                        "name_ar": "الشاورما المختصة",
                        "name_en": "Specialized Shawarma",
                        "original_price": 0.0,
                        "discount_percentage": 0.0,
                        "original_image": "/media/uploads/products/images/2023/01/13/088c21bb-e6da-4c2b-8fb8-d440316f0ee3.png",
                        "image": "/media/uploads/products/images/2023/01/13/088c21bb-e6da-4c2b-8fb8-d440316f0ee3.png",
                        "nutritions": null,
                        "restaurant_id": 90,
                        "is_sub": false,
                        "description_ar": null,
                        "description_en": null,
                        "category_id": 11,
                        "is_active": true,
                        "in_stock": false,
                        "allergies": [],
                        "is_special": false,
                        "tags": []
                    },
                    "variants": []
                },
                {
                    "id": 68618,
                    "app_id": null,
                    "created_at": "2025-11-19T06:54:09.464880Z",
                    "modified_at": "2025-11-19T06:54:09.464880Z",
                    "deleted_at": null,
                    "is_deleted": false,
                    "ordering": 0,
                    "is_recommended": true,
                    "is_active": true,
                    "is_selected": true,
                    "selected_plan_category": 1,
                    "plan_option_id": 3,
                    "option_is_deleted_or_inactive": false,
                    "is_compensation": false,
                    "is_addon": false,
                    "extra_item_config_id": null,
                    "product": {
                        "id": 193,
                        "app_id": null,
                        "created_at": "2022-08-18T12:56:40.414859Z",
                        "modified_at": "2025-05-07T14:38:29.653206Z",
                        "deleted_at": null,
                        "is_deleted": false,
                        "ordering": 105,
                        "name_ar": "أرز الكيمتشي",
                        "name_en": "Kimchi Cauliflower Fried Rice",
                        "original_price": 1.0,
                        "discount_percentage": 0.0,
                        "original_image": "/media/uploads/products/images/2022/08/18/c640e192-ee9d-4421-a614-8e556dee6050.png",
                        "image": "/media/uploads/products/images/2022/08/18/c640e192-ee9d-4421-a614-8e556dee6050.png",
                        "nutritions": null,
                        "restaurant_id": 90,
                        "is_sub": false,
                        "description_ar": "أرز الكيمتشي مع البيض والقرنبيط",
                        "description_en": "Kimchi Cauliflower Fried Rice with Egg & veggies",
                        "category_id": 11,
                        "is_active": true,
                        "in_stock": false,
                        "allergies": [
                            "milk"
                        ],
                        "is_special": false,
                        "tags": []
                    },
                    "variants": []
                }
            ],
            "plan_category_id": 1,
            "sub_order": 34577
        }
    ],
    "can_change_location": false,
    "can_change_branch": false,
    "can_change_meals": false,
    "can_change_delivery_window": false,
    "can_cancel": false,
    "can_complain": false,
    "complaints": [],
    "captain": {
        "name": "UAT Captain",
        "mobile_number": "0518766208"
    },
    "invoice": null,
    "estimated_delivery_time": null,
    "plan_date": 919,
    "location": {
        "id": 2613,
        "custom_fields": null,
        "city": {
            "id": 1,
            "custom_fields": null,
            "app_id": null,
            "created_at": "2022-03-12T20:16:56.847917+03:00",
            "modified_at": "2024-05-07T14:36:31.000029+03:00",
            "is_deleted": false,
            "deleted_at": null,
            "ordering": 0,
            "name_ar": "جده",
            "name_en": "Jeddah",
            "country_code": "SA",
            "keywords": "Jeddah,jeddah,جدة,جده",
            "is_supported": true
        },
        "location_url": "https://maps.google.com/?q=21.602493063070646,39.10834543362559",
        "app_id": null,
        "created_at": "2025-03-27T19:01:35.175936+03:00",
        "modified_at": "2025-11-13T14:56:01.167941+03:00",
        "is_deleted": false,
        "deleted_at": null,
        "ordering": 0,
        "name_ar": "work",
        "name_en": "work",
        "longitude": "39.10834543362559",
        "latitude": "21.602493063070646",
        "address1": "J425+X8F, Al Kurnaysh Rd, As Shati، Jeddah 23511",
        "address2": null,
        "place_id": "ChIJFwmXLqrbwxUR4ay8zjMv-_w",
        "postal_code": "23612",
        "formatted_address": "7295 Al Kurnaysh Br Rd, Ash Shati, Jeddah 23612, Saudi Arabia",
        "district": "Ash Shati",
        "district_ar": null,
        "city_name_en": "Jeddah",
        "city_name_ar": null,
        "route": "Al Kurnaysh Branch Road",
        "street_number": "7295",
        "is_synced": true,
        "type": "work",
        "description": "branch location",
        "is_default": false,
        "image": null,
        "deleted_from": null,
        "agnostic_city_id": null,
        "agnostic_district_id": null,
        "zone": 95,
        "customer_profile": 770
    },
    "location_id": 2613,
    "restaurant_branch": null,
    "app_id": 90,
    "created_at": "2025-11-19T09:54:09.299879+03:00",
    "modified_at": "2025-11-19T09:54:09.365880+03:00",
    "is_deleted": false,
    "deleted_at": null,
    "ordering": 0,
    "date": "2025-11-19",
    "received_by_captain_at": null,
    "delivered_at": null,
    "status": "confirmed",
    "service_type": "pickup",
    "meals_changed": false,
    "location_changed": false,
    "delivery_window_changed": false,
    "postponed": false,
    "is_complained": false,
    "complain_notes": null,
    "operation_notes": null,
    "reference_code": null,
    "is_pickup": true,
    "restaurant_branch_id": 75,
    "dispatch_branch_id": null,
    "daily_delivery_price": 0.0,
    "daily_meal_price": 0.0,
    "meal_discount_percentage": 0.0,
    "daily_meal_price_after_discount": 0.0,
    "sub_order_price": 0.0,
    "meal_voucher_amount": 0.0,
    "delivery_voucher_amount": 0.0,
    "total_voucher_amount": 0.0,
    "voucher_afforded_by_restaurant": null,
    "redeem_cost": 0.0,
    "city_id": 1,
    "is_locked": false,
    "printed_at": null,
    "was_auto_ended": false,
    "number_of_items": 2,
    "number_of_received_items": null,
    "delivery_info_changed_after_report_ready": false,
    "subscription": 8517,
    "restaurant": 90,
    "zone": null
}
Modified at 2025-11-25 07:38:51
Previous
Change Meals
Next
Bulk Change Delivery Window
Built with